Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesClosureWriter

- org.codehaus.groovy.classgen.asm.sc.StaticTypesClosureWriter

-     public class StaticTypesClosureWriter
      extends ClosureWriter

  Writer responsible for generating closure classes in statically compiled mode.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClosureWriter` | `OUTER_INSTANCE, THIS_OBJECT, controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticTypesClosureWriter(WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected ClassNode` | `createClosureClass(ClosureExpression expression, int mods)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClosureWriter` | `addConstructor, addFieldsForLocalVariables, addGeneratedClosureConstructorCall, addSerialVersionUIDField, createBlockStatementForConstructor, createClosureClass, getClosureSharedVariables, getOrAddClosureClass, loadReference, loadThis, removeInitialValues, writeClosure`

- - ### Constructor Detail

    - #### public StaticTypesClosureWriter(WriterController wc)

  - ### Method Detail

    - #### @Override
      protected ClassNode createClosureClass(ClosureExpression expression, int mods)